AFCC(1)

NAME
afcc - fast ACK compatible C compiler

SYNOPSIS
afcc [ -c ] [ -O ] [ -v ] [ -vn ] [ -Dname ] [ -Dname=def ] [ -Ipathname ] [ -w ] [ -o outfile ] [ -R ] [ -Uname ] [ -Mcompiler ] sourcefile ...

DESCRIPTION

Afcc is a fast C compiler. It translates C programs into ack(1ACK)-compatible relocatable object modules, and does so in one pass. Then, if the -c flag is not given, afcc offers the object modules to a link-editor, to create an executable binary.

Afcc accepts several types of filename arguments. Files with names ending in .c are taken to be C source programs. They are compiled, and the resulting object module is placed in the current directory. The object module is named after its source file, the suffix .o replacing .c in the name of the object.

Other arguments refer to loader options, object modules, or object libraries. Unless the -c flag is given, these modules and libraries, together with the results of any specified compilations, are passed (in the order given) to the link-editor to produce an output file named a.out. You can specify a name for the executable by using the -o option.

OPTIONS

The -llib, -d, -n, -N, -r, -s, -S, -i, and -u options are passed to the link-editor program. The -u option takes an extra argument.

-c
    Suppress the loading phase of the compilation, and force an object module to be produced, even if only one program is compiled. A single object module can be named explicitly using the -o option.

-Dname=def
    Define a symbol name to the preprocessor, as if by "#define".

-Dname
    same as -Dname=1.

-Ipathname
    Add pathname to the list of directories in which to search for #include files with filenames not beginning with slash. The compiler first searches for #include files in the directory containing sourcefile, then in directories in -I options, then in the ACK include directory, and finally, in /usr/include.

-o output
    Name the final output file output.

-O
    Use a version of the compiler that is just a bit slower, but produces better code.

-Uname
    Remove any initial definition of name.

-v
    Verbose. Print the commands as they are executed.

-vn
    Verbose, no execute. Only print the commands, do not execute them.

-w  suppress warning messages.

-R
    test for more compatibility with Kernighan & Ritchie C [1].

-Mcompiler
    use compiler as C-2 compiler instead of the default.

Object modules produced by ack(1ACK) and afcc can be freely mixed.

SEE ALSO

[1] B.W. Kernighan, D. Ritchie, "The C programming Language", Prentice-Hall Inc., 1978

[2] E.H. Baalbergen, "The ACK CEM compiler".

[3] ack(1ACK) manual page.

DIAGNOSTICS
Diagnostics are intended to be self-explanatory.

REMARKS
You need the 4th ACK distribution to be able to use this program.